summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlex Brinister2018-07-29 22:37:12 -0400
committerAlex Brinister2018-07-29 22:37:12 -0400
commitec2cb67ce2efb8c162ccf614d1c605ff1be70bbc (patch)
treea1dcd1da58f8900dd8573ef73505e432e7db7dd7
downloadaur-ec2cb67ce2efb8c162ccf614d1c605ff1be70bbc.tar.gz
Initial commit of python-cheetah3
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD30
2 files changed, 50 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..0c437481a6e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = python-cheetah3
+ pkgdesc = A Python 3-powered template engine and code generator
+ pkgver = 3.1.0
+ pkgrel = 1
+ url = http://www.cheetahtemplate.org
+ arch = x86_64
+ license = custom
+ makedepends = python-setuptools
+ makedepends = python-pygments
+ makedepends = python-markdown
+ depends = python
+ provides = cheetah3
+ provides = python-cheetah3
+ conflicts = cheetah3
+ conflicts = python-cheetah3
+ source = https://files.pythonhosted.org/packages/54/86/ea50bb5baf1daa8ca1a56774d48150a69376679d27c4130848702efc378c/Cheetah3-3.1.0.tar.gz
+ sha512sums = 879de1b7a333def757a1618b7c28348d8b2f43a433aa8d5d9ee501619a854c514ca4a842f741bf4d272f5cc2defa137b741d2cc9648a3fc40dc2c4ab50692fac
+
+pkgname = python-cheetah3
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d2be31c1cba
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: Alex Brinister <alex_brinister -at- yahoo -dot- com>
+# Contributor: Alex Brinister <alex_brinister -at- yahoo -dot- com>
+
+pkgname=python-cheetah3
+pkgver=3.1.0
+pkgrel=1
+pkgdesc="A Python 3-powered template engine and code generator"
+arch=(x86_64)
+url="http://www.cheetahtemplate.org"
+license=(custom)
+depends=(python)
+makedepends=('python-setuptools' 'python-pygments' 'python-markdown')
+provides=('cheetah3' 'python-cheetah3')
+conflicts=('cheetah3' 'python-cheetah3')
+source=("https://files.pythonhosted.org/packages/54/86/ea50bb5baf1daa8ca1a56774d48150a69376679d27c4130848702efc378c/Cheetah3-${pkgver}.tar.gz")
+sha512sums=('879de1b7a333def757a1618b7c28348d8b2f43a433aa8d5d9ee501619a854c514ca4a842f741bf4d272f5cc2defa137b741d2cc9648a3fc40dc2c4ab50692fac')
+
+build() {
+ cd "${srcdir}/Cheetah3-${pkgver}"
+ python setup.py build
+}
+
+package() {
+ msg "Install..."
+ cd "${srcdir}/Cheetah3-${pkgver}"
+ python setup.py install --root="${pkgdir}" || return 1
+
+ msg2 "Install copyright resources in /usr/share/licenses/${pkgname}..."
+ install -Dm644 "${srcdir}/Cheetah3-${pkgver}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}